Bug 247887 - shells/ohmyzsh: Improve patches and port description
Summary: shells/ohmyzsh: Improve patches and port description
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Serhii (Sergey) Kozlov
URL:
Keywords: easy, needs-qa
Depends on:
Blocks:
 
Reported: 2020-07-10 07:39 UTC by Fernando Apesteguía
Modified: 2020-07-23 05:07 UTC (History)
0 users

See Also:
skozlov: maintainer-feedback+
fernape: merge-quarterly-


Attachments
Patch to the ports tree (2.04 KB, patch)
2020-07-10 07:39 UTC, Fernando Apesteguía
skozlov: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fernando Apesteguía freebsd_committer 2020-07-10 07:39:41 UTC
Created attachment 216356 [details]
Patch to the ports tree

As suggested by mat@ in review D25582 the attached patch:

 * Adds comments to the patches in files/
 * Uses XDG cache directory if present
 * Use DATADIR for ZSH variable since that is where the software is installed according to the port's Makefile
 * Rewrite port description to have something more factual with a bit less of hype.
Comment 1 Fernando Apesteguía freebsd_committer 2020-07-10 09:49:47 UTC
The port is new and not present in 2020Q3
Comment 2 Serhii (Sergey) Kozlov freebsd_committer 2020-07-10 21:59:44 UTC
(In reply to Fernando Apesteguía from comment #0)

Hello Fernando,

First of all, thank you for submitting the PR, I've actually stopped monitoring the Phabricatior review after it was merged. I do agree with the changes and will commit them. The only thing is I can't see the part of the patch related to

> Use DATADIR for ZSH variable since that is where the software is installed according to the port's Makefile

Could you tell me what's that about?

Thank you,
Sergey
Comment 3 Fernando Apesteguía freebsd_committer 2020-07-21 15:59:47 UTC
(In reply to Serhii (Sergey) Kozlov from comment #2)
Hi Sergey,

Sorry for the delay, I've been AFK for some days. Forget about that comment, I wrote it in a log file before generating the actual patch ;)
Comment 4 commit-hook freebsd_committer 2020-07-22 19:46:59 UTC
A commit references this bug:

Author: skozlov
Date: Wed Jul 22 19:46:02 UTC 2020
New revision: 542890
URL: https://svnweb.freebsd.org/changeset/ports/542890

Log:
  Update and adjust shells/ohmyzsh

  - Update to 2020-07-22
  - Add comments to the patches in files/ [1]
  - Use XDG cache directory if present [1]
  - Rewrite port description to have something more factual with a bit
    less of hype [1]

  PR:		247887 [1]
  Submitted by:	fernape, mat [1]

Changes:
  head/shells/ohmyzsh/Makefile
  head/shells/ohmyzsh/distinfo
  head/shells/ohmyzsh/files/patch-oh-my-zsh.sh
  head/shells/ohmyzsh/files/patch-templates_zshrc.zsh-template
  head/shells/ohmyzsh/files/pkg-message.in
  head/shells/ohmyzsh/pkg-descr
  head/shells/ohmyzsh/pkg-plist
Comment 5 Serhii (Sergey) Kozlov freebsd_committer 2020-07-22 19:48:30 UTC
Committed, thanks!
Comment 6 Fernando Apesteguía freebsd_committer 2020-07-23 05:07:30 UTC
(In reply to Serhii (Sergey) Kozlov from comment #5)
Thanks Sergey!